# MatPartitioningScotchSetLocal

Set method for local partitioning.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningScotchSetLocal(MatPartitioning part, MPScotchLocalType local)

### Input Parameter

part -the partitioning context
method -MP_SCOTCH_KERNIGHAN_LIN or MP_SCOTCH_NONE

Level:advanced
Location: src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages